$IF 0
-----------------------------------------------------------------------------
 BIOS Interrupt & Port I/O Routines     Created with PowerBASIC for DOS 3.50
 Copyright (C) 2002 by Bla Valek       E-mail: bvalek2@freemail.hu
 Version date: 10-20-2002
-----------------------------------------------------------------------------
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
-----------------------------------------------------------------------------
$ENDIF

DECLARE SUB SetVideo (BYVAL Mode AS BYTE)
DECLARE SUB SetCursor (BYVAL Bottom AS BYTE, BYVAL Top AS BYTE)
DECLARE SUB PutCursor (BYVAL Page AS BYTE, BYVAL Column AS BYTE, BYVAL Row _
                      AS BYTE)
DECLARE SUB GetCursor (BYVAL Page AS BYTE, Bottom AS INTEGER, Top AS INTEGER, _
              Column AS INTEGER, Row AS INTEGER)
DECLARE SUB GetPen (Trigger AS INTEGER, PixelCol AS INTEGER, PixelRow AS INTEGER, _
           Column AS INTEGER, Row AS INTEGER)
DECLARE SUB ActivePage (BYVAL Page AS BYTE)
DECLARE SUB ScrollUp (BYVAL Lines AS BYTE, BYVAL Attr AS BYTE, BYVAL UpLeftCol AS _
             BYTE, BYVAL UpLeftRow AS BYTE, BYVAL DownRightCol AS BYTE, _
             BYVAL DownRightRow AS BYTE)
DECLARE SUB ScrollDown (BYVAL Lines AS BYTE, BYVAL Attr AS BYTE, BYVAL UpLeftCol AS _
               BYTE, BYVAL UpLeftRow AS BYTE, BYVAL DownRightCol AS BYTE, _
               BYVAL DownRightRow AS BYTE)
DECLARE SUB GetAtCursor (BYVAL Page AS BYTE, Char AS INTEGER, Attr AS INTEGER)
DECLARE SUB PutAtCursorC (BYVAL Code AS BYTE, BYVAL Page_Back13h AS BYTE, BYVAL _
                 Attr AS BYTE, BYVAL Count AS INTEGER)
DECLARE SUB PutAtCursor (BYVAL Code AS BYTE, BYVAL Page_Back13h AS BYTE, BYVAL Attr _
                AS BYTE, BYVAL Count AS INTEGER)
DECLARE SUB SetColorPal (BYVAL Switch AS BYTE, BYVAL Clr_Pal AS BYTE)
DECLARE SUB PutPixel (BYVAL Clr AS BYTE, BYVAL Page AS BYTE, BYVAL Column AS _
             INTEGER, BYVAL Row AS INTEGER)
DECLARE FUNCTION GetPixel (BYVAL Page AS BYTE, BYVAL Column AS INTEGER, BYVAL Row _
                  AS INTEGER)  AS INTEGER
DECLARE SUB PutChar (BYVAL Code AS BYTE, BYVAL Page AS BYTE, BYVAL Clr AS _
                    BYTE)
DECLARE SUB GetVideo (Column AS INTEGER, Mode AS INTEGER, Page AS INTEGER)
DECLARE SUB SetDAC (BYVAL Register AS INTEGER, BYVAL Green AS BYTE, BYVAL _
                   Blue AS BYTE, BYVAL Red AS BYTE)
DECLARE SUB PutStr (BYVAL Column AS BYTE, BYVAL Row AS BYTE, BYVAL Text AS STRING, _
           BYVAL Mode AS BYTE, BYVAL Attr AS BYTE, BYVAL Page AS BYTE)
DECLARE FUNCTION Equipment ()  AS INTEGER
DECLARE FUNCTION Memory ()  AS INTEGER
'----------------------------------------------------------------------------
DECLARE SUB SetPalette (BYVAL Slot AS INTEGER, BYVAL Red AS INTEGER, BYVAL Green AS _
               INTEGER, BYVAL Blue AS INTEGER)
DECLARE SUB Reboot ()
DECLARE SUB WaitFrame (BYVAL Frames AS LONG)
'----------------------------------------------------------------------------
DECLARE SUB PutLine (BYVAL x1 AS INTEGER, BYVAL y1 AS INTEGER, BYVAL x2 AS INTEGER, _
            BYVAL y2 AS INTEGER, BYVAL Clr AS BYTE, BYVAL Page AS BYTE)
DECLARE SUB Box (BYVAL x1 AS INTEGER, BYVAL y1 AS INTEGER, BYVAL x2 AS INTEGER, _
        BYVAL y2 AS INTEGER, BYVAL Clr AS BYTE, BYVAL Page AS BYTE)
DECLARE SUB FillBox (BYVAL x1 AS INTEGER, BYVAL y1 AS INTEGER, BYVAL x2 AS INTEGER, _
            BYVAL y2 AS INTEGER, BYVAL Clr AS BYTE, BYVAL Page AS BYTE)
DECLARE SUB Ellipse (BYVAL x AS INTEGER, BYVAL y AS INTEGER, BYVAL a AS SINGLE, _
            BYVAL b AS SINGLE, BYVAL s AS SINGLE, BYVAL f AS SINGLE, BYVAL _
            Clr AS BYTE, BYVAL Page AS BYTE)
DECLARE SUB FillEllipse (BYVAL x AS INTEGER, BYVAL y AS INTEGER, BYVAL a AS SINGLE, _
                BYVAL b AS SINGLE, BYVAL Clr AS BYTE, BYVAL Page AS BYTE)
DECLARE SUB Teletype (BYVAL Text AS STRING, BYVAL Clr AS BYTE, BYVAL Page _
                     AS BYTE)
DECLARE SUB XYStr (BYVAL x AS INTEGER, BYVAL y AS INTEGER, BYVAL Text AS STRING, _
          BYVAL Clr AS BYTE, BYVAL Page AS BYTE, BYVAL FontFile AS STRING)
'----------------------------------------------------------------------------
DECLARE FUNCTION ResetDisk (BYVAL Drive AS BYTE)  AS INTEGER
DECLARE FUNCTION GetDisk ()  AS INTEGER
DECLARE SUB ReadSector (BYVAL Number AS BYTE, BYVAL Track AS INTEGER, BYVAL Sector _
               AS BYTE, BYVAL Head AS BYTE, BYVAL Drive AS BYTE, BYVAL _
               BufferSeg AS INTEGER, BYVAL BufferOfs AS INTEGER, Status AS _
               INTEGER, Result AS INTEGER)
DECLARE SUB WriteSector (BYVAL Number AS BYTE, BYVAL Track AS INTEGER, BYVAL Sector _
                AS BYTE, BYVAL Head AS BYTE, BYVAL Drive AS BYTE, BYVAL _
                BufferSeg AS INTEGER, BYVAL BufferOfs AS INTEGER, Status AS _
                INTEGER, Result AS INTEGER)
DECLARE SUB VerifySector (BYVAL Number AS BYTE, BYVAL Track AS INTEGER, BYVAL _
                 Sector AS BYTE, BYVAL Head AS BYTE, BYVAL Drive AS BYTE, _
                 BYVAL BufferSeg AS INTEGER, BYVAL BufferOfs AS INTEGER, _
                 Status AS INTEGER, Result AS INTEGER)
'----------------------------------------------------------------------------
DECLARE SUB WaitKey (ScanCode AS INTEGER, AsciiCode AS INTEGER)
DECLARE SUB GetKey (Pressed AS INTEGER, ScanCode AS INTEGER, AsciiCode AS _
                   INTEGER)
DECLARE FUNCTION GetShift () AS INTEGER
'----------------------------------------------------------------------------
DECLARE FUNCTION LPrintChar (BYVAL CharCode AS BYTE, BYVAL LPort AS INTEGER) _
                    AS INTEGER
DECLARE FUNCTION InitPrinter (BYVAL LPort AS INTEGER) AS INTEGER
DECLARE FUNCTION PrinterStatus (BYVAL LPort AS INTEGER) AS INTEGER
'----------------------------------------------------------------------------
DECLARE SUB Bootstrap (BYVAL Drive AS BYTE)
'----------------------------------------------------------------------------
DECLARE FUNCTION ReadClock () AS LONG
DECLARE SUB SetClock (BYVAL ClockTick AS LONG)
